> ## Documentation Index
> Fetch the complete documentation index at: https://docs.outerproduct.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Global Drivers

> Global feature importance.



## OpenAPI

````yaml https://api.outerproduct.com/openapi.json post /v1/models/{model_id}/global_drivers
openapi: 3.1.0
info:
  title: OuterProduct API
  description: >-
    Public-facing REST API for OuterProduct model distillation, prediction, and
    explanation.
  version: 0.1.8
servers: []
security: []
paths:
  /v1/models/{model_id}/global_drivers:
    post:
      tags:
        - inference
      summary: Get Global Drivers
      description: Global feature importance.
      operationId: get_global_drivers_v1_models__model_id__global_drivers_post
      parameters:
        - name: model_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Model Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GlobalDriversRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JobResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerAuth: []
components:
  schemas:
    GlobalDriversRequest:
      properties: {}
      type: object
      title: GlobalDriversRequest
    JobResponse:
      properties:
        job_id:
          $ref: '#/components/schemas/ID'
          description: Server-assigned id of the submitted job
        status:
          $ref: '#/components/schemas/JobStatus'
        message:
          type: string
          title: Message
      type: object
      required:
        - job_id
        - status
        - message
      title: JobResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ID:
      anyOf:
        - type: string
          format: uuid
        - type: string
    JobStatus:
      type: string
      enum:
        - pending
        - running
        - completed
        - failed
      title: JobStatus
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API key or OAuth2/OIDC access token
      description: >-
        An API key or OAuth2/OIDC access token sent as `Authorization: Bearer
        <token>`.

````